name: linuxserver-luanti
services:
  app:
    image: linuxserver/luanti:5.15.1
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      CLI_ARGS: ''
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: CLI_ARGS
          description:
            en_us: Optionally specify any CLI variables you want to launch the app with [OPTIONAL]
    ports:
      - target: 30000
        published: 30000
        protocol: udp
    volumes:
      - type: bind
        source: /srv/lsio/luanti/config/.minetest
        target: /config/.minetest
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: Luanti (formerly Minetest) is an open source voxel game-creation platform with easy modding and game creation
  tagline:
    en_us: (formerly Minetest) is an open source voxel game-creation platform with easy modding and game creation
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/minetest-icon.png
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/minetest-icon.png
  title:
    en_us: Luanti
  category: LinuxServer.io
